MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025700Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2015-01-13 14:212019-03-29 11:41
Reporterpkv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.9.0 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0025700: Ensuring uniform control of the functionalities of the Boolean operations algorithm at the level of DRAW application
DescriptionEnsuring uniform control of the functionalities of the Boolean operations algorithm at the level of DRAW application
Steps To ReproduceNot necessary.
Just test it
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
parent of 0030620assignedemv Tests - perf/bop/buildfaces does not match description (broken) 
Not all the children of this issue are yet resolved or closed.

-  Notes
(0036022)
git (administrator)
2015-01-14 09:34

Branch CR25700 has been created by pkv.

SHA-1: bc88a67737fcf3069eda765089cf222f9fd3b462


No new revisions were added by this update.
(0036024)
git (administrator)
2015-01-14 09:43

Branch CR25700 has been updated by pkv.

SHA-1: 46fd3694a81fe60457298e3356aec750b72bdbd1


Detailed log of new commits:

Author: pkv
Date: Wed Jan 14 09:43:30 2015 +0300

    CR25700
    Ensuring uniform control of the functionalities of the Boolean operations algorithm
    at the level of DRAW application
    
    I.New features:
    no new features
    
    II. Changes:
    II.1
    Class BOPTest_Chronometer
    The class definition that depends on TBB has been removed
    
    II.2
    For the following commands:
    >bop s1 s2 [tol]
    >bopcommon r s1 s2 [tol]
    >bfuse r s1 s2 [tol]
    >bcut s1 s2 [tol]
    >btuc r s1 s2 [tol]
    >bsection r s1 s2 [-n2d/-n2d1/-n2d2] [-na] [tol]
    >mkvolume r b1 b2 ... [-c] [-ni] [-s] [tol]
    >bopcheck Shape [level of check: 0 - 9] [-t -s] [-tol tol]
    >bopargcheck Shape1 [[Shape2] [-F/O/C/T/S/U] [/R|F|T|V|E|I|P|C|S]] [#BF] [-tol tol]
    >bfillds [-s -t] [tol]
    the syntax has been changed. Parameter [tol] has been removed.
    
    The value "tol" (i.e. Fuzzy Value) is option for the algorithm.
    
    If it is necessary, the value "tol" can be set by the command:
    >bfuzzyvalue value
    
    see
    http://tracker.dev.opencascade.org/view.php?id=25614 [^]
    for more details
    
    II.3
    For the following commands:
    >bopcheck Shape [level of check: 0 - 9] [-t -s] [-tol tol]
    >bfillds [-s -t] [tol]
    >bbuild r [-s -t]
    >bbop r op [-s -t]
    the syntax has been changed. Parameter [-s] has been removed.
    Parameter [-s] was to provide the sequential mode of the computations.
    
    The mode of the computations is option for the algorithm.
    
    The mode of the computations can be set by the command:
     >brunparallel [0/1]
           1 -sets the parallel mode of the computations
           0 -sets the sequential mode of the computations
    
    see
    http://tracker.dev.opencascade.org/view.php?id=25614 [^]
    for more details

(0036025)
pkv (developer)
2015-01-14 09:56

The branch CR25700 is ready to review.
(0036028)
emv (developer)
2015-01-14 10:05

Reviewed.
(0036081)
mkv (tester)
2015-01-15 09:20

Dear BugMaster,
Branch CR25700 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 46fd3694a81fe60457298e3356aec750b72bdbd1

Number of compiler warnings:

occt component :
Linux: 18 (18 on master)
Windows: 0 (0 on master)

products component :
Linux: 11 (11 on master)
Windows: 1 (1 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 369339436 / 369132708
Total CPU difference: 49161.83000000005 / 46134.12000000006
products component :
Total MEMORY difference: 110705168 / 110200568
Total CPU difference: 16730.34999999998 / 15369.639999999994

Testing on Windows:
occt component :
Total MEMORY difference: 276284940 / 276918412
Total CPU difference: 34028.984375 / 38326.15625
products component :
Total MEMORY difference: 72500296 / 71429320
Total CPU difference: 11053.734375 / 10071.46875

There are no differences in images found by testdiff.
(0036524)
git (administrator)
2015-01-26 12:32

Branch CR25700 has been deleted by inv.

SHA-1: 46fd3694a81fe60457298e3356aec750b72bdbd1

- Related Changesets
occt: master 43cb0011
Timestamp: 2015-01-14 06:43:30
Author: pkv
Committer: bugmaster
Details ] Diff ]
0025700: Ensuring uniform control of the functionalities of the Boolean operations algorithm at the level of DRAW application

Changes:
1.
Class BOPTest_Chronometer
The class definition that depends on TBB has been removed

2.
For the following commands:
>bop s1 s2 [tol]
>bopcommon r s1 s2 [tol]
>bfuse r s1 s2 [tol]
>bcut s1 s2 [tol]
>btuc r s1 s2 [tol]
>bsection r s1 s2 [-n2d/-n2d1/-n2d2] [-na] [tol]
>mkvolume r b1 b2 ... [-c] [-ni] [-s] [tol]
>bopcheck Shape [level of check: 0 - 9] [-t -s] [-tol tol]
>bopargcheck Shape1 [[Shape2] [-F/O/C/T/S/U] [/R|F|T|V|E|I|P|C|S]] [#BF] [-tol tol]
>bfillds [-s -t] [tol]
the syntax has been changed. Parameter [tol] has been removed.

The value "tol" (i.e. Fuzzy Value) is option for the algorithm.

If it is necessary, the value "tol" can be set by the command:
>bfuzzyvalue value

see
http://tracker.dev.opencascade.org/view.php?id=25614 [^]
for more details

3.
For the following commands:
>bopcheck Shape [level of check: 0 - 9] [-t -s] [-tol tol]
>bfillds [-s -t] [tol]
>bbuild r [-s -t]
>bbop r op [-s -t]
the syntax has been changed. Parameter [-s] has been removed.
Parameter [-s] was to provide the sequential mode of the computations.

The mode of the computations is option for the algorithm.

The mode of the computations can be set by the command:
 >brunparallel [0/1]
       1 -sets the parallel mode of the computations
       0 -sets the sequential mode of the computations

see
http://tracker.dev.opencascade.org/view.php?id=25614 [^]
for more details
mod - src/BOPTest/BOPTest_APICommands.cxx Diff ] File ]
mod - src/BOPTest/BOPTest_BOPCommands.cxx Diff ] File ]
mod - src/BOPTest/BOPTest_CheckCommands.cxx Diff ] File ]
mod - src/BOPTest/BOPTest_Chronometer.hxx Diff ] File ]
mod - src/BOPTest/BOPTest_DrawableShape.cdl Diff ] File ]
mod - src/BOPTest/BOPTest_DrawableShape.cxx Diff ] File ]
mod - src/BOPTest/BOPTest_LowCommands.cxx Diff ] File ]
mod - src/BOPTest/BOPTest_ObjCommands.cxx Diff ] File ]
mod - src/BOPTest/BOPTest_OptionCommands.cxx Diff ] File ]
mod - src/BOPTest/BOPTest_PartitionCommands.cxx Diff ] File ]
mod - src/BOPTest/BOPTest_TolerCommands.cxx Diff ] File ]
mod - tests/bugs/modalg_5/bug25477_1 Diff ] File ]
mod - tests/bugs/modalg_5/bug25477_2 Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-01-13 14:21 pkv New Issue
2015-01-13 14:21 pkv Assigned To => pkv
2015-01-13 14:22 pkv Status new => assigned
2015-01-14 09:34 git Note Added: 0036022
2015-01-14 09:43 git Note Added: 0036024
2015-01-14 09:55 pkv Status assigned => resolved
2015-01-14 09:56 pkv Note Added: 0036025
2015-01-14 09:56 pkv Assigned To pkv => emv
2015-01-14 10:05 emv Note Added: 0036028
2015-01-14 10:05 emv Assigned To emv => mkv
2015-01-14 10:05 emv Status resolved => reviewed
2015-01-15 09:20 mkv Note Added: 0036081
2015-01-15 09:20 mkv Assigned To mkv => bugmaster
2015-01-15 09:20 mkv Status reviewed => tested
2015-01-15 09:20 mkv Test case number => Not needed
2015-01-16 13:37 bugmaster Changeset attached => occt master 43cb0011
2015-01-16 13:37 bugmaster Status tested => verified
2015-01-16 13:37 bugmaster Resolution open => fixed
2015-01-26 12:32 git Note Added: 0036524
2015-05-14 15:29 aiv Status verified => closed
2015-05-14 15:33 aiv Fixed in Version => 6.9.0
2019-03-29 11:41 kgv Relationship added parent of 0030620


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker